%define iconname kphone.png 

Summary:	KPhone - SIP user agent
Name:		kphone
Version:	4.2
Release:	%mkrel 9
License:	GPLv2+
Group:		Communications
URL:		http://www.wirlab.net/kphone/index.html
BuildRequires:	autoconf2.1
BuildRequires:	kdelibs-devel >= 3.1.1
BuildRequires:	openssl-devel >= 0.9.6j
Obsoletes:	libkphone3
Obsoletes:	libkphone3-devel
Provides:	libkphone3 libkphone3-devel
BuildRoot:	%_tmppath/%{name}-%{version}-root-%(id -u -n)

Source:		%{name}-%{version}.tar.bz2
Source1:	kphone.menu
Patch1:		kphone-3.0.5-fix-lib64.patch
Patch2:		kphone-4.0.2-mdkmenu.patch
Patch3:		kphone-4.0.2-destdir.patch
Patch4:		kphone-4.1.0-fix-install-po-file.patch
Patch5:		kphone-4.2.0-fix-compile-po.patch
Patch6:		kphone-varargs.patch
Patch7:		kphone-packed.patch
Patch8:		kphone-fix-help.patch
Patch9:		kphone-pt_BR-trans.patch
#(nl) Fix Build with gcc 4.1.1
Patch10:	kphone-4.2-fix-build.patch
Patch11:	kphone-4.2-CVE-2006-2442.patch


# LJB: Don't really know how to deal with this best
%define _pixmapsdir %{_prefix}/share/icons

# Deal with --tag
%define __libtoolize /bin/true

# Taken from arts package
# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. It also supports Presence and Instant Messaging.

%prep 
%setup -q -n %{name} 
#%patch1 -p1 -b .lib64
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1 -b .fix_install_po_file
%patch5 -p1 -b .fix_compile_po
%patch6 -p1 -b .varargs
%patch7 -p1 -b .packed
%patch8 -p1 -b .fix_help
%patch9 -p1 -b .pt_BR
%patch10 -p1 -b .fix_build_with_gcc_4.1.1
%patch11 -p1 -b .cve-2006-2442
autoconf

%build
%configure2_5x \
        --enable-shared \
        --with-gnu-ld \
        --with-pic \
        --enable-mt \
        --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# Don't want to patch the Makefile
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
cp icons/large-kphone.png %{buildroot}%{_liconsdir}/%{iconname}
cp icons/lo-kphone.png %{buildroot}%{_iconsdir}/%{iconname}
cp icons/mini-kphone.png %{buildroot}%{_miconsdir}/%{iconname}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Kphone
Comment=Kphone SIP user agent
Exec=kphone
Icon=%{name}
Terminal=false
Type=Application
Categories=Telephony;Network;Qt;KDE;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGES README
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kphone
%_datadir/applications/*
%_datadir/apps/kphone
%_datadir/kphone
%_iconsdir/%iconname
%_liconsdir/%iconname
%_miconsdir/%iconname  


%changelog
* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 4.2-9mdv2008.1
+ Revision: 163375
- spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.2-8mdv2008.1
+ Revision: 128165
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Thu Mar 22 2007 Lenny Cartier <lenny@mandriva.com> 4.2-8mdv2007.1
+ Revision: 148028
- Add CVE-2006-2442 patch (security #22701)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Import kphone

* Tue Jun 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 4.2-7mdk
- Rebuild

* Tue Nov 22 2005 Frederic Lepied <flepied@mandriva.com> 4.2-6mdk
- rebuild for Cooker
- fixed pt_BR translation
- Fix help message (Laurent)
- Update pt_BR translation (Laurent)

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.2-4mdk
- rebuild against openssl-0.9.8

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2-3mdk
- varargs & packed fixes

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 4.2-2mdk
- Fix menu

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 4.2-1mdk
- 4.2

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-3mdk
- Fix all translation (saved as in utf8)

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-2mdk
- Regenerate fr translation (it was not save as utf8)

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0 : changelog :
		- configure script updated
	 	- Alsa support added
  		- Jack support added (incomplete)
   		- Some errors fixed

* Fri Nov 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.5-1mdk
- 4.0.5

* Tue Oct 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.3-3mdk
- lib64 fixes

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 4.0.3-2mdk
- Allow to translate it

* Mon Jun 28 2004 Stefan van der Eijk <stefan@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Tue Jun 15 2004 Lonnie Borntreger <cooker@borntreger.com> 4.0.2-1mdk
- Update to 4.0.2
- Remove patch1 (kdb2html) no longer needed
- Rework patch2 (mdkmenu) to change menu name from KT&T to K-Phone
- Add patch3 (destdir) to make install work in rpm
- Change spec file due to png location change
- Remove lib packages - kphone source no longer creates shared libs
- Obsolete lib packages
- Fix my 3.14 brain damage on doc section of spec file

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.14-4mdk
- Rebuild

